/*
 * RangedSliderPlugin.cpp is part of bmsapp.
 *
 * bmsapp is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * bmsapp is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QObject>
#include <QtUiPlugin/QDesignerCustomWidgetInterface>
#include <QString>
#include <QWidget>
#include <QIcon>
#include <QtPlugin>

#include "RangedSliderPlugin.h"
#include "RangedSlider.h"

RangedSliderPlugin::RangedSliderPlugin(QObject* parent)
        : QObject(parent)
{
}

void RangedSliderPlugin::initialize(QDesignerFormEditorInterface * /* core */)
{
   if(initialized)
      return;
   
   initialized = true;
   return;
}

bool RangedSliderPlugin::isInitialized() const
{
   return initialized;
}

QWidget* RangedSliderPlugin::createWidget(QWidget *parent)
{
   return new RangedSlider(parent);
}

QString RangedSliderPlugin::name() const
{
   return "RangedSlider";
}

QString RangedSliderPlugin::group() const
{
   return "BMSapp Widgets";
}

QIcon RangedSliderPlugin::icon() const
{
   return QIcon();
}

QString RangedSliderPlugin::toolTip() const
{
   return QString();
}

QString RangedSliderPlugin::whatsThis() const
{
   return QString();
}

bool RangedSliderPlugin::isContainer() const
{
   return false;
}

QString RangedSliderPlugin::domXml() const
{
   return "<ui language=\"c++\">\n"
	  " <widget class=\"RangedSlider\" name=\"rangedSliderWidget\">\n"
          " </widget>\n"
          "</ui>\n";
}

QString RangedSliderPlugin::includeFile() const
{
   return "RangedSlider.h";
}

